/******************************************************************************
 CDemoApp.h

		Interface for Item Application class
		
	SUPERCLASS = CApplication
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	

 ******************************************************************************/

#define _H_CItemApp

#include "CApplication.h"

class CItemApp : public CApplication
{
	public:		/* TCL 1.1.1 DLP 10/2/91 */
	
	CItemApp( void);
	
	virtual void	MakeClipboard( void);
	virtual void	SetUpMenus( void);
	virtual void	SetUpFileParameters( void);

	virtual void	DoCommand( long theCommand);
	
	virtual void	CreateDocument( void);
	virtual void	OpenDocument( SFReply *macReply);
	virtual void	NewTextDoc( long theCommand);
	virtual void	NewTableDoc( void);
	
	virtual void	DoAppleEvent( CAppleEvent *anAppleEvent);

	void	DoBorderDialog( void);
	void	DoItemTable( void);
	CDirector	*DoItemDialog( short resID, Boolean modal);
	
	virtual void	ForceClassReferences( void);

};