/*
 * File:		CUGDragDropTask.c
 * Created:		8/16/93
 * Desc:		A mousetask that handles dragging and dropping
 *				in CItemTable.
 *
 * Superclass:	CDragDropTable.
 * Uses:		CItemTable, CItem.
 * Original Author:	W. Wesley Monroe
 * Modifications:	
 *
 * Copyright  1993 Wacko Software Production. All rights reserved.
 */

#pragma once

#include "CDragDropTableTask.h"

class CUGDragDropTask : public CDragDropTableTask {

public:

	void IUGDragDropTask(CTable *aTable, CView *dragBoundsView,
							short theModifiers,
						    long selFlags);

	virtual void EndTracking(LongPt *currPt, LongPt *prevPt, LongPt *startPt);

};