/*
 *
 *	Filename : CrewPositions.h
 *
 *	Author     Atul Barve
 *	Date       Tuesday, July 27, 1993
 *
 */
#pragma once


typedef struct CrewPositions {

	short	captain : 1;
	short 	firstOfficer : 1;
	short 	flightEngineer : 1;
	short 	firstOfficerB : 1;
	short 	firstOfficerC : 1;
	short	shortlOfficer: 1;
	short 	rlfCaptain : 1;
	short 	position01 : 1;
	short 	position02 : 1;
	short 	position03 : 1;
	short 	position04 : 1;
	short 	position05 : 1;
	short 	position06 : 1;
	short 	position07 : 1;
	short 	position08 : 1;
	short 	position09 : 1;
	short 	position10 : 1;
	short 	position11 : 1;
	short 	position12 : 1;
	short 	position13 : 1;
	short 	position14 : 1;
	short 	position15 : 1;
	short 	position16 : 1;
	short	positionVM : 4;
	short	positionFA : 4;
} CrewPositions;

CrewPositions 	ORCrewPosition(CrewPositions pos1, CrewPositions pos2);
CrewPositions 	ANDCrewPosition(CrewPositions pos1, CrewPositions pos2);
CrewPositions 	XORCrewPosition(CrewPositions pos1, CrewPositions pos2);
CrewPositions 	DIFFCrewPosition(CrewPositions pos1, CrewPositions pos2);
Boolean			FirstPosition(CrewPositions pos1, char *pos);
short			CountPositions(CrewPositions pos1, short posType);


Boolean 		IsNullCrewPosition(CrewPositions pos1);
CrewPositions 	ConvertOpenPosition(char *pos, CrewPositions op);
Boolean 		PositionThere(CrewPositions op, char *pos);
CrewPositions 	ClearOpenPosition(char *pos, CrewPositions op);
CrewPositions 	CrewPositionToStr(CrewPositions op, char *pos);
void 			BuildCrewStr(CrewPositions pos1,
							 char *buffer,
							 short allowVM,
							 char	*delimeter);
short 			CmpCrewPositions(CrewPositions pos1, CrewPositions pos2);
short			IsOnlyVMPos(CrewPositions pos);

#define kAllPositions	0
#define kFAPositions	1
#define kPilotPositions	2

