/******************************************************************************
 CTableLabels.h

		
	SUPERCLASS = CPanorama
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	

 ******************************************************************************/

#define _H_CTableLabels

#include "CTable.h"

class CTableScroller;

class CTableLabels : public CTable
{

public:

	struct CTable	*itsTable;
	VHSelect	whichDimension;
	Point		tblIndent;
	Style		textStyle;
	Boolean		initiatedNewSelection;
	
	CursHandle	growCursor;
	
	void ITableLabels( CTableScroller *aTblScroller, VHSelect rowsOrCols, 
						short size, short anOffset);
						
	void ITableLabelsX( void);
	virtual void Dispose( void);
	
	virtual void SetTable( CTable *aTable);

	virtual void Draw( Rect *area);
	virtual void DrawCell( Cell theCell, Rect *cellRect);
		
	virtual short GetHitBoundary( LongPt *hitPt);
	
	virtual void DoClick(Point hitPt, short modifierKeys, long when);
	virtual void AdjustCursor( Point where, RgnHandle mouseRgn);
	
	
	virtual void ProviderChanged( CCollaborator *aProvider, long reason, void* info);

};