/******************************************************************************
 ResourceStructs.h

			
	Copyright  1991 Symantec Corporation. All rights reserved.
	
	Contains structure definitions used by CBrowseResDoc and
	other classes.

 ******************************************************************************/

#define _H_ResourceStructs

class CDirector;

	// Information about a resource type

typedef struct tResTypeInfo
{
	ResType		type;
	Boolean		editable;
	CDirector	*window;
	
} tResTypeInfo;

	//	Information about a resource

typedef struct tResourceInfo
{
	short		ID;
	long		size;
	Handle		resource;
	Str255		name;
	CDirector	*window;

} tResourceInfo;